open-vm-tools 11.0.0

Data Structures | Macros | Typedefs
threadPool.h File Reference
`#include <glib-object.h>`
`#include "vmware/tools/plugin.h"`

Go to the source code of this file.

## Data Structures
struct | ToolsCorePool
| Public interface of the shared thread pool. More...

## Macros
#define | TOOLS_CORE_PROP_TPOOL "tcs_prop_thread_pool"

## Typedefs
typedef void(* | ToolsCorePoolCb) (ToolsAppCtx *ctx, gpointer data)
typedef struct ToolsCorePool | ToolsCorePool
| Public interface of the shared thread pool. More...

## Detailed Description

Public interface for vmtoolsd's thread pool.